package ru.tehkode.config;

import java.io.BufferedWriter;
import java.io.IOException;
import java.io.Writer;

public class JSONPrettyWriter extends BufferedWriter {

	private int indent = 0;

	public JSONPrettyWriter(Writer out) {
		super(out);
	}

	@Override
	public void write(int i) throws IOException {
		char c = (char) i;

		switch (c) {
			case '[':
			case '{':
			case ',':
				super.write(c);
				super.write('\n');
				if(c != ',') { indent++; }
				writeIndentation();
				break;
			case ']':
			case '}':
				super.write('\n');
				indent--;
				writeIndentation();
			default:
				super.write(c);
		}
	}

	private void writeIndentation() throws IOException {
		for (int i = 0; i < indent; i++) {
			super.write("   ");
		}
	}
}
